EDIT - feature request #6663

Add required attributes to Reference to include externally managed references
05/21/2017 10:52 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.7

Severity: major

Description

The required attributes were discussed in BDI Monday meeting (http://wiki.bgbm.org/bdinotes/index.php/BDI_196). They are

® |ast retrieved (Timestamp when the Reference was last updated from extern source)

« identifier (external URI)

e actionableLink (e.g. webservice endpoint)

authority (enumeration - extern/local/something in between, to stop local editing for externally managed entities)

Maybe we need also to store how the external class is mapped to CDM (e.g. registered mapper uuid or something similar) / import
configuration #6731

For external services it would be useful to have a last updated service.

Related issues:
Related to EDIT - task #6731: [DISCUSS] What information do we need to define... New
Related to EDIT - feature request #8442: Add fields to handle external terms ... Closed

Associated revisions

Revision 82657847 - 05/22/2017 12:27 AM - Andreas Miiller

fix #6663 add attributes for externally managed references

History

#1 - 05/21/2017 10:53 PM - Andreas Miiller
- Description updated

- Severity changed from normal to major

#2 - 05/21/2017 10:57 PM - Andreas Miiller

- Description updated

#3 - 05/22/2017 12:28 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#4 - 06/15/2017 03:45 PM - Andreas Miiller
- Related to task #6731: [DISCUSS] What information do we need to define the mapping used for data from external services added

#5 - 06/15/2017 03:46 PM - Andreas Miiller
- Description updated

#6 - 06/15/2017 03:51 PM - Andreas Miiller

- Status changed from Resolved to Closed

The new field appear in the database so | think we can close this ticket. As the field should not be edited by users we do not need editing in the
TaxEditor. It will be tested within the "reference workshop" workflow.

#7 - 08/02/2019 08:39 PM - Andreas Miiller
http://wiki.bgbm.org/bdinotes/index.php/BDI_196
https://dev.e-taxonomy.eu/redmine/issues/6731

- Related to feature request #8442: Add fields to handle external terms to DefinedTermBase or TermBase added
